IDataSenderFactory (Tomcat API Documentation)
Keywords: org.apache.catalina.cluster.tcp.IDataSenderFactory class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.cluster.tcp
Class IDataSenderFactory

    java.lang.Object
      org.apache.catalina.cluster.tcp.IDataSenderFactory

public class IDataSenderFactory
extends java.lang.Object

Create DataSender for different modes. DataSender factory load mode list from `org/apache/catalina/cluster/tcp/DataSenders.properties` resource.

Since:
  5.5.7
Version:
  $Id: IDataSenderFactory.java 939539 2010-04-30 01:31:33Z kkolinko $
Author:
  Peter Rossbach

Field Summary
`static java.lang.String` | `ASYNC_MODE`
`static java.lang.String` | `FAST_ASYNC_QUEUE_MODE`
`static java.lang.String` | `POOLED_SYNC_MODE`
`protected static StringManager` | `sm` The string manager for this package.
`static java.lang.String` | `SYNC_MODE`

Method Summary
`static IDataSender` | `getIDataSender(java.lang.String mode, Member mbr)` Create a new DataSender
`static java.lang.String` | `getInfo()` Return descriptive information about this implementation and the corresponding version number, in the format `<description>/<version>`.
`static java.lang.String` | `validateMode(java.lang.String mode)` Check that mode is valid

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SYNC_MODE

    public static final java.lang.String SYNC_MODE

See Also:
  Constant Field Values

### ASYNC_MODE

    public static final java.lang.String ASYNC_MODE

See Also:
  Constant Field Values

### POOLED_SYNC_MODE

    public static final java.lang.String POOLED_SYNC_MODE

See Also:
  Constant Field Values

### FAST_ASYNC_QUEUE_MODE

    public static final java.lang.String FAST_ASYNC_QUEUE_MODE

See Also:
  Constant Field Values

### sm

    protected static StringManager sm

  The string manager for this package.

Method Detail

### getInfo

    public static java.lang.String getInfo()

  Return descriptive information about this implementation and the corresponding version number, in the format `<description>/<version>`.

### getIDataSender

    public static IDataSender getIDataSender(java.lang.String mode,
                                             Member mbr)
                                      throws java.io.IOException

  Create a new DataSender

  Parameters:
    `mode` - replicaton mode
    `mbr` - sender target
  Returns:
    new sender object
  Throws:
    `java.io.IOException`

### validateMode

    public static java.lang.String validateMode(java.lang.String mode)

  Check that mode is valid

  Parameters:
    `mode` -
  Returns:
    The replication mode (may be null if sender mode)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2012 Apache Software Foundation. All Rights Reserved.